=== debian/changelog ===
ktnef (4:25.08.3+p24.04+vunstable+git20251203.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:24:30 +0000

ktnef (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:36:14 +1000
