## ktnef 25.08.3+p24.04+vunstable+git20251204.0614

=== debian/changelog ===
ktnef (4:25.08.3+p24.04+vunstable+git20251204.0614-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 06:14:42 +0000
