=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: ktnef
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkcalendarutils-dev (>= 4:25.08.3~),
-               libkf6calendarcore-dev (>= 6.14.0~),
-               libkf6contacts-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
+               libkcalendarutils-dev (>= 4:25.11.80~),
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6contacts-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.7.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/ktnef
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktnef
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktnef.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktnef
 Rules-Requires-Root: no
 
 Package: libktnef-data
@@ -38,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6calendarcore-dev (>= 6.14.0~),
+Depends: libkf6calendarcore-dev (>= 6.6.0~),
          libkpim6tnef6 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling TNEF data - development files
