## ktnef 25.12.0+p24.04+vstable+git20251231.0224

=== debian/changelog ===
ktnef (4:25.12.0+p24.04+vstable+git20251231.0224-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:24:25 +0000

ktnef (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:07 +1000
