## ktnef 25.12.1+p24.04+vstable+git20260118.0230

=== debian/changelog ===
ktnef (4:25.12.1+p24.04+vstable+git20260118.0230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 02:30:57 +0000
