=== debian/changelog ===
ktnef (4:25.12.2+p24.04+vunstable+git20260206.1514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 15:14:42 +0000

ktnef (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:18:00 +0000
